# BulkPublishEntry (dapr-sdk-parent 1.10.0 API)

Package io.dapr.client.domain

## Class BulkPublishEntry<T>

- java.lang.Object
- - io.dapr.client.domain.BulkPublishEntry<T>

Type Parameters:
  `T` - Type of the event that is part of the request.

    public final class BulkPublishEntry<T>
    extends Object

Class representing an entry in the BulkPublishRequest or BulkPublishResponse.

### Constructor Summary

Constructors
`BulkPublishEntry​(String entryId, T event, String contentType)` Constructor for the BulkPublishRequestEntry object.
`BulkPublishEntry​(String entryId, T event, String contentType, Map<String,​String> metadata)` Constructor for the BulkPublishRequestEntry object.

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getContentType()`
`String` `getEntryId()`
`T` `getEvent()`
`Map<String,​String>` `getMetadata()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BulkPublishEntry

    public BulkPublishEntry​(String entryId,
                            T event,
                            String contentType)

Constructor for the BulkPublishRequestEntry object.

Parameters:
  `entryId` - A request scoped ID uniquely identifying this entry in the BulkPublishRequest.
  `event` - Event to be published.
  `contentType` - Content Type of the event to be published in MIME format.

#### BulkPublishEntry

    public BulkPublishEntry​(String entryId,
                            T event,
                            String contentType,
                            Map<String,​String> metadata)

Constructor for the BulkPublishRequestEntry object.

Parameters:
  `entryId` - A request scoped ID uniquely identifying this entry in the BulkPublishRequest.
  `event` - Event to be published.
  `contentType` - Content Type of the event to be published in MIME format.
  `metadata` - Metadata for the event.

### Method Detail

#### getEntryId

    public String getEntryId()

#### getEvent

    public T getEvent()

#### getContentType

    public String getContentType()

#### getMetadata

    public Map<String,​String> getMetadata()